GET api/v2/Item/GetItemSubGroup
Request Information
URI Parameters
None.
Body Parameters
ItemSubGroupModel| Name | Description | Type | Additional information |
|---|---|---|---|
| intItemSubGrpID | integer |
None. |
|
| intItemGrpID | integer |
None. |
|
| strNo | string |
None. |
|
| intSort | integer |
None. |
|
| intCompDepID | integer |
None. |
|
| picItemSubGroup | string |
None. |
|
| strName | Collection of LanguageTextModel |
None. |
|
| strSearch | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"intItemSubGrpID": 1,
"intItemGrpID": 2,
"strNo": "sample string 3",
"intSort": 4,
"intCompDepID": 5,
"picItemSubGroup": "sample string 6",
"strName": [
{
"intLanguageID": 1,
"strText": "sample string 2"
},
{
"intLanguageID": 1,
"strText": "sample string 2"
}
],
"strSearch": "sample string 7"
}
application/xml, text/xml
Sample:
<ItemSubGroupModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/XS2.WMSWebApiV2.Models">
<intCompDepID>5</intCompDepID>
<intItemGrpID>2</intItemGrpID>
<intItemSubGrpID>1</intItemSubGrpID>
<intSort>4</intSort>
<picItemSubGroup>sample string 6</picItemSubGroup>
<strName>
<LanguageTextModel>
<intLanguageID>1</intLanguageID>
<strText>sample string 2</strText>
</LanguageTextModel>
<LanguageTextModel>
<intLanguageID>1</intLanguageID>
<strText>sample string 2</strText>
</LanguageTextModel>
</strName>
<strNo>sample string 3</strNo>
<strSearch>sample string 7</strSearch>
</ItemSubGroupModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |